package com.mvc.entity;

import java.util.Date;

public class TUpgradePackage {
    private Integer id;

    private String originalFileName;

    private String fileName;

    private String fileType;

    private Integer fileSize;

    private String versionNum;

    private String matchVersionNum;

    private String updateContent;

    private String memo;

    private String createMan;

    private Date createTime;

    private String oldFileName;

    private String newFileName;

    private String originalOldFileName;

    private String originalNewFileName;

    private Integer oldPackageId;

    private Integer newPackageId;

    private Integer fileAttribute;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOriginalFileName() {
        return originalFileName;
    }

    public void setOriginalFileName(String originalFileName) {
        this.originalFileName = originalFileName == null ? null : originalFileName.trim();
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName == null ? null : fileName.trim();
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType == null ? null : fileType.trim();
    }

    public Integer getFileSize() {
        return fileSize;
    }

    public void setFileSize(Integer fileSize) {
        this.fileSize = fileSize;
    }

    public String getVersionNum() {
        return versionNum;
    }

    public void setVersionNum(String versionNum) {
        this.versionNum = versionNum == null ? null : versionNum.trim();
    }

    public String getMatchVersionNum() {
        return matchVersionNum;
    }

    public void setMatchVersionNum(String matchVersionNum) {
        this.matchVersionNum = matchVersionNum == null ? null : matchVersionNum.trim();
    }

    public String getUpdateContent() {
        return updateContent;
    }

    public void setUpdateContent(String updateContent) {
        this.updateContent = updateContent == null ? null : updateContent.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getOldFileName() {
        return oldFileName;
    }

    public void setOldFileName(String oldFileName) {
        this.oldFileName = oldFileName == null ? null : oldFileName.trim();
    }

    public String getNewFileName() {
        return newFileName;
    }

    public void setNewFileName(String newFileName) {
        this.newFileName = newFileName == null ? null : newFileName.trim();
    }

    public String getOriginalOldFileName() {
        return originalOldFileName;
    }

    public void setOriginalOldFileName(String originalOldFileName) {
        this.originalOldFileName = originalOldFileName == null ? null : originalOldFileName.trim();
    }

    public String getOriginalNewFileName() {
        return originalNewFileName;
    }

    public void setOriginalNewFileName(String originalNewFileName) {
        this.originalNewFileName = originalNewFileName == null ? null : originalNewFileName.trim();
    }

    public Integer getOldPackageId() {
        return oldPackageId;
    }

    public void setOldPackageId(Integer oldPackageId) {
        this.oldPackageId = oldPackageId;
    }

    public Integer getNewPackageId() {
        return newPackageId;
    }

    public void setNewPackageId(Integer newPackageId) {
        this.newPackageId = newPackageId;
    }

    public Integer getFileAttribute() {
        return fileAttribute;
    }

    public void setFileAttribute(Integer fileAttribute) {
        this.fileAttribute = fileAttribute;
    }
}